Uses Crt, RS232Dos;

Var
 B : Byte;

Begin
 WriteLn('Запись данных в COM1');
 {Инициализация порта}
 InitCOM(1, 28800, 3);

 {Выход из программы - нажатие Ctrl+C}
 While not KeyPressed do begin
  Write('Введите байт для посылки:'); ReadLn(B);
  {Передаем байт}
  WriteData(B, 2000);
 End;

 {Чистим буфер клавиатуры}
 While KeyPressed do ReadKey;
End.